#ifndef _CIVINPEXPOTER_H
#define _CIVINPEXPOTER_H
#include "CivNewInp.h"

/**
* 
*/
class CivInpBuilder
{
public:

	explicit CivInpBuilder();
	virtual ~CivInpBuilder();

	virtual void buildNode();
	virtual void buildPipe();
	virtual void buildTank();
	virtual void buildVavle();
	virtual void buildPump();
	virtual void buildReservoir();
	virtual void buildEmitter();
	virtual void buildPatterns();
	virtual void buildParamter();
	virtual void buildCoordnates();
	virtual void buildVertices();
	virtual void buildLabels();
	virtual void buildTags();
	virtual void buildBackDrop();
	virtual void buildQuality();
	virtual void buildSources();
	virtual void buildMixing();
	virtual void buildCurves();
	virtual void buildStatus();
	virtual void buildControls();
	virtual void buildRules();
	virtual void buildDemands();

	CivNewInp* getNewInp();

protected:
	CivNewInp* mNewInp;
};

#endif // !_CIVINPEXPOTER_H



