#pragma once
#include "CivAssembly.h"
#include "CivInpHelperAbs.h"
#include <memory>

/**
	ݿȡinpļص
*/
class CivInpDbHelper:public CivInpHelperAbs
{
public:
	explicit CivInpDbHelper(CivConnection* dbConn);
	~CivInpDbHelper();

	bool getNode(CivNode& node)override;
	bool getPipe(CivPipe& pipe) override;
	bool getTank(CivTank& tank) override;
	bool getValve(CivValve& valve) override;
	bool getPumps(CivPumps& pump) override;
	bool getReservoirs(CivReservoirs& reservoirs) override;
	bool getEmitters(CivEmitters& emitter) override;
	bool getCoordinates(CivCoordinates& coord) override;
	bool getMixing(CivMixing& mixing) override;
	bool getParameter(std::vector<CivParameter>& param) override;
	bool getPatterns(CivPatterns& patterns) override;
	bool getCurves(CivCurves& curves) override;
	bool getDemands(CivDemands& demands) override;
	bool getSources(CivSources& sources) override;
	bool getStatus(CivStatus& status) override;
	bool getQuality(CivQuality& quality) override;
	bool getLabels(CivLabels& labels) override;
	bool getTags(CivTags& tags) override;
};
