#pragma once
#include "CivAssembly.h"

class CivConnection;

/**
תinpݿ
*/
class CivInpHelperAbs
{
public:
	explicit CivInpHelperAbs(CivConnection* dbConn);
	virtual ~CivInpHelperAbs();

	virtual bool getNode(CivNode& node) ;
	virtual bool getPipe(CivPipe& pipe) ;
	virtual bool getTank(CivTank& tank) ;
	virtual bool getValve(CivValve& valve) ;
	virtual bool getPumps(CivPumps& pump) ;
	virtual bool getReservoirs(CivReservoirs& reservoirs) ;
	virtual bool getEmitters(CivEmitters& emitter) ;
	virtual bool getCoordinates(CivCoordinates& coord) ;
	virtual bool getMixing(CivMixing& mixing) ;
	virtual bool getParameter(std::vector<CivParameter>& param) ;
	virtual bool getPatterns(CivPatterns& patterns) ;
	virtual bool getCurves(CivCurves& curves) ;
	virtual bool getDemands(CivDemands& demands) ;
	virtual bool getSources(CivSources& sources) ;
	virtual bool getStatus(CivStatus& status) ;
	virtual bool getQuality(CivQuality& quality) ;
	virtual bool getLabels(CivLabels& labels) ;
	virtual bool getTags(CivTags& tags) ;

protected:
	CivConnection* mDbConn;
	std::map<std::string, std::map<std::string, std::string>> mCacheMap;
};
