#include "CivHydrTest.h"
#include "CivHydrFuncInter.h"
#include <iostream>


// ˮ
void CivConHydrTest::test(char* uri)
{
    int succ = hdyrSimulation(uri);
    std::cout << "Խ" << succ << std::endl;
}

// ģά
void CivModelHydrTest::test(char* uri)
{
    int succ = modelMatation(uri);
    std::cout << "Խ" << succ << std::endl;
}

// ˮʲ
void CivConQuaTest::test(char* uri)
{
    int succ = qualitySimulation(uri);
    std::cout << "Խ" << succ << std::endl;
}

// ׷ٷ
void CivConTrackTest::test(char* uri)
{
    char result[1024 * 32];

    char sn[32];
    strcpy_s(sn, "JD00000016");

    int succ = trackingSimulation(uri, sn, 12, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << succ << std::endl;
}


void CivConGetRptTest::test(char* uri)
{
    std::string condtion = "\"\"='2020-07-13' and \"ʱ\"=1";
    std::string type = "ܶ";
    char result[1024 * 128];

    char newCondition[256];
    strcpy(newCondition, condtion.c_str());
    char newType[32];
    strcpy(newType, type.c_str());

    bool isSucc = getRptByCondition(uri, newType, newCondition, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}

void CivUpstreamTrackingTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[32];
    strcpy(sn, "JD00000016");

    char result[1024 * 32];

    bool isSucc = upstreamTracking(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}


/**
   ׷
*/
void CivDownStreamTrackingTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[32];
    strcpy(sn, "JD00000016");

    char result[1024 * 128];

    bool isSucc = downstreamTracking(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}


/**
   ˮԴˮΧ
*/
void CivWaterSupplyScopeTest::test(char* uri)
{
    // ׷ٽڵ
    char sn[32];
    strcpy(sn, "JD00000016");

    char result[1024 * 32];

    bool isSucc = waterSupplyScopeAnalysis(uri, sn, result);

    std::cout << result << std::endl;
    std::cout << "Խ" << isSucc << std::endl;
}
