#include "CivHydrSimulation.h"
#include "CivPgConn.h"
#include "CivNewInp.h"
#include "CivBuilder.h"
#include "CivInpDirector.h"
#include "CivSysLog.h"
#include "epanet2.h"
#include "CivTrackingResultCache.h"


CivHydrSimulation::CivHydrSimulation()
{

}

CivHydrSimulation::~CivHydrSimulation()
{

}

bool CivHydrSimulation::hdyrSimulation()
{

    return true;
}

bool CivHydrSimulation::qualitySimulation()
{
    CivSysLog::getInstance()->info("ʼˮʷ", "qualitySimulation", __FUNCTION__);
    if (!convertInp(ANALYSIS_AGE, ""))
    {
        CivSysLog::getInstance()->error("дinpļʧ", "qualitySimulation", __FUNCTION__);
        return false;
    }
    CivSysLog::getInstance()->info("дinpɹ", "qualitySimulation", __FUNCTION__);

    // ˮʼ
    if (!qualityCompute())
    {
        CivSysLog::getInstance()->error("ˮʷʧ", "CivHydrCalc", __FUNCTION__);
        return false;
    }

    //ģˢ
    if (!brushingResult())
    {
        CivSysLog::getInstance()->error("ˮʷ洢ʧ", "CivHydrCalc", __FUNCTION__);
        return false;
    }
    
    return true;
}

bool  CivHydrSimulation::trackingSimulation(char* snNode, int hours,std::string& jsonResult)
{ 
    return true;
}

void  CivHydrSimulation::getTrackingResult(int hours, std::string& jsonResult)
{
 
    // ڵ͹ܶοռϢ
    CivTrackingResultCache trackingCache;
   // trackingCache.cacheInfoFromDb(mDbConn);
    jsonResult.append("[");

    for (int i = 0; i < hours; i++)
    {
       auto iter = mTrackLinkSns.find(i);
       if (iter == mTrackLinkSns.end())
       {
           continue;
       }
       jsonResult.append("[");
       std::vector<std::string> vecSns = iter->second;
       for (int j = 0; j < vecSns.size(); j++)
       {
           Pipes pipe;
           std::string sn = vecSns[j];
           trackingCache.getPipeInfoBySn(sn, pipe);

           jsonResult.append("[[");
           jsonResult.append(pipe.startX);
           jsonResult.append(",");
           jsonResult.append(pipe.startY);
           jsonResult.append("],[");
           jsonResult.append(pipe.endX);
           jsonResult.append(",");
           jsonResult.append(pipe.endY);
           jsonResult.append("]],");
       }
       jsonResult = jsonResult.substr(0, jsonResult.length() - 1);
       jsonResult.append("],");
    }
  
    jsonResult = jsonResult.substr(0, jsonResult.length() - 1);
    jsonResult.append("]");
 
}


